import { Transaction } from 'prosemirror-state';
import { DateMeta, DateState } from './types';
export declare function reducer(pluginState: DateState, meta: DateMeta): {
    showDatePickerAt: number;
};
export declare function mapping(tr: Transaction, pluginState: DateState): DateState;
export declare function onSelectionChanged(tr: Transaction, pluginState: DateState): DateState;
